pub const PLAYER_DAWN :u8 = 0;
pub const PLAYER_DUSK :u8 = 1;

pub const PIECES_TOTAL   :usize = 40;
pub const PIECES_COUNT   :usize = 8;
pub const PIECE_NONE     :u8 = PIECES_COUNT as u8 + 1;
pub const PIECE_MILITIA  :u8 = 0;
pub const PIECE_LANCE    :u8 = 1;
pub const PIECE_KNIGHT   :u8 = 2;
pub const PIECE_TOWER    :u8 = 3;
pub const PIECE_CASTLE   :u8 = 4;
pub const PIECE_DRAGON   :u8 = 5;
pub const PIECE_BEHEMOTH :u8 = 6;
pub const PIECE_HEART    :u8 = 7;

pub mod flags {
    pub const NONE            :u32 = 0x00;
    pub const IGNORE_EXTENT   :u32 = 0x01;
    pub const IGNORE_CHECK    :u32 = 0x02;
    pub const IGNORE_STACKING :u32 = 0x04;
}

pub const DIRECTIONS :&[(i8, i8)] = &[
    (0, 1),
    (1, 1),
    (1, 0),
    (0, -1),
    (-1, -1),
    (-1, 0),

    (1, 2),
    (2, 1),
    (1, -1),
    (-1, -2),
    (-2, -1),
    (-1, 1),
];
